%define anolis_release 1

%define name keentuned
%define version 1.0.0
#
# spec file for package golang-keentuned
#

Name:           %{name}
Version:        %{version}
Release:        %{anolis_release}%{?dist}
Summary:        KeenTune tuning tools
License:        Apache License
Source:         %{name}-%{version}.tar.gz
BuildRequires:  go >= 1.13
Vendor:         Alibaba
Autoreq:        0

%description
KeenTune tuning tools rpm package

%prep
%setup -n %{name}-%{version}

%build
go env -w CGO_ENABLED=0
go env -w GO111MODULE=on
go env -w GOPROXY=https://goproxy.cn,direct
cd daemon
go build -ldflags=-linkmode=external -o keentuned
if [ $? -ne 0 ]; then
    echo -e "build keentuned failed";
    exit 1
fi
mv -f keentuned ../
cd ../cli
go build -ldflags=-linkmode=external -o keentune
if [ $? -ne 0 ]; then
    echo -e "build keentune failed";
    exit 1
fi
mv -f keentune ../
cd ../

%define debug_package %{nil}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/usr/bin/
mkdir -p ${RPM_BUILD_ROOT}/etc/keentune/
mkdir -p ${RPM_BUILD_ROOT}/etc/keentune/conf/

cp -f keentune ${RPM_BUILD_ROOT}/usr/bin/keentune
cp -f keentuned ${RPM_BUILD_ROOT}/usr/bin/keentuned
cp -rf daemon/examples/. ${RPM_BUILD_ROOT}/etc/keentune
cp -f ./keentuned.conf ${RPM_BUILD_ROOT}/etc/keentune/conf/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

# 卸载时执行
%postun
rm -rf /usr/bin/keentune
rm -rf /usr/bin/keentuned
rm -rf /etc/keentune/conf/keentuned.conf
rm -rf /etc/keentune/benchmark
rm -rf /etc/keentune/parameter
rm -rf /etc/keentune/profile

%files
%defattr(0444,root,root, 0555)
%attr(0555, root, root) /usr/bin/keentune
%attr(0555, root, root) /usr/bin/keentuned
%{_bindir}/%{name}
%{_bindir}/keentune
%{_sysconfdir}/keentune


%changelog
* Sun Aug  1 2021 wb-lwc921938 <wb-lwc921938@alibaba-inc.com> - 1.0.0-1
- Init commit.


